# Get eligible payment profiles for instant purchase (https://developer.godaddy.com/en/docs/references/rest/auctions/get-payment-profiles)

---
title: Get eligible payment profiles for instant purchase
full: true
---

## GET /v1/customers/{customerId}/paymentProfiles

Get eligible payment profiles for instant purchase

### Path parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `customerId` | string | yes | Customer identifier (UUID). Use `MY` for the authenticated customer's own data, or supply the UUID returned by `GET /v1/shoppers/{shopperId}?includes=customerId`. |

### Responses

**200** — Request was successful

Content-Type: `application/json`

Schema:

- schema reference: `#/components/schemas/PaymentProfiles`

**400** — Request was malformed

Content-Type: `application/json`

Schema:

- schema reference: `#/components/schemas/Error`

**401** — Authentication info not sent or invalid

Content-Type: `application/json`

Schema:

- schema reference: `#/components/schemas/Error`

**403** — Authenticated user is not allowed access

Content-Type: `application/json`

Schema:

- schema reference: `#/components/schemas/Error`

**429** — Too many requests received within interval

Content-Type: `application/json`

Schema:

- schema reference: `#/components/schemas/ErrorLimit`

**500** — Internal server error

Content-Type: `application/json`

Schema:

- schema reference: `#/components/schemas/Error`
